Skip to main content
PUT
Update Contact

Authorizations

Authorization
string
header
required

Basic authentication using base64 encoded API key and secret. Format: Authorization: Basic <base64(api_key:api_secret)>

Path Parameters

id
string
required

Body

multipart/form-data

Contact update details

first_name
string
required

Contact's first name

email
string<email>
required

Contact's email address

last_name
string

Contact's last name

phone_number
string

Contact's phone number. Send an empty value or the string null to clear it.

phone_number_country_code
string

ISO country code. Send an empty value or the string null to clear it.

country
string

Contact's country as an ISO 3166-1 alpha-2 code. Send an empty value or the string null to clear it.

Example:

"US"

files
file

New avatar image file to upload (max 10MB)

avatar_url
string | null

URL of the contact's avatar image. Send an empty value or the string null to remove the avatar, or the existing value to keep it.

Response

Contact updated successfully

status
string
Example:

"success"

data
object